Skip to navigation

Get task list templates

View as Markdown

Returns all task list templates associated with the active user’s company.

Permissions

Anyone with a valid access token can call this method.

Authentication

Authorizationstring

JWT Authorization header using the Bearer scheme. Example: “Authorization: Bearer {token}”

Path parameters

accountIdstringRequired

The globally unique identifier (GUID) for the account.

Query parameters

startPositionintegerOptionalDefaults to 0

The starting zero-based index position from which to start returning values. The default is 0.

countintegerOptionalDefaults to 100

The number of results to return. This value must be a number between 1 and 100 (default).

Response

Successfully returned list of task list templates.
taskListTemplateslist of objectsOptional
A list of task list templates.
resultSetSizeintegerOptional
The number of results returned in this response.
startPositionintegerOptional

The starting zero-based index position of the results set. When this property is used as a query parameter, the default value is 0.

endPositionintegerOptionalRead-only

The last zero-based index position in the result set.

nextUristringOptional

The URI for the next chunk of records based on the search request. This property is null for the last set of search results.

priorUristringOptional

The URI for the previous chunk of records based on the search request. This property is null for the first set of search results.

totalRowCountintegerOptional
The number of results in this reponse.

Errors

400
Bad Request Error
401
Unauthorized Error